# Class WriteHandlerLookup

java.lang.Object
org.fressian.handlers.WriteHandlerLookup

All Implemented Interfaces:
  `IWriteHandlerLookup`

public class WriteHandlerLookup extends Object implements IWriteHandlerLookup

## Constructor Summary

Constructors
Constructor
Description
`WriteHandlerLookup(ILookup<Class, Map<String, WriteHandler>> userHandlers)`

## Method Summary

Modifier and Type
Method
Description
`static ILookup<Class, Map<String, WriteHandler>>`
`createLookupChain(ILookup<Class, Map<String, WriteHandler>> userHandlers)`
`WriteHandler`
`getWriteHandler(String tag, Object o)`
`WriteHandler`
`requireWriteHandler(String tag, Object o)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WriteHandlerLookup

public WriteHandlerLookup(ILookup<Class, Map<String, WriteHandler>> userHandlers)

## Method Details

### createLookupChain

public static ILookup<Class, Map<String, WriteHandler>> createLookupChain(ILookup<Class, Map<String, WriteHandler>> userHandlers)

### getWriteHandler

public WriteHandler getWriteHandler(String tag, Object o)

Specified by:
  `getWriteHandler` in interface `IWriteHandlerLookup`

### requireWriteHandler

public WriteHandler requireWriteHandler(String tag, Object o)

Specified by:
  `requireWriteHandler` in interface `IWriteHandlerLookup`